org.apache.ignite.cache.query

## Interface QueryTypeResolver

    public interface QueryTypeResolver

Interface allowing to override table name for portable objects stored in cache.

### Method Summary

Methods
`String` `resolveTypeName(Object key, Object val)` Allows to override type name for portable objects being stored in cache.

### Method Detail

#### resolveTypeName

    String resolveTypeName(Object key,
                         Object val)

Allows to override type name for portable objects being stored in cache.

Parameters:
  `key` - Key.
  `val` - Value.
Returns:
  Type name.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015